summaryrefslogtreecommitdiffstats
path: root/dcron/runjobs
diff options
context:
space:
mode:
authorLukc <lukc@upyum.com>2010-12-11 19:15:23 +0100
committerLukc <lukc@upyum.com>2010-12-11 19:15:35 +0100
commit6d908a38e05b9d4135c65d23114a5874215b5bb8 (patch)
treeb5e6da6d95b9a1235d82032b509b80483a886ff5 /dcron/runjobs
downloadbase-6d908a38e05b9d4135c65d23114a5874215b5bb8.tar.gz
base-6d908a38e05b9d4135c65d23114a5874215b5bb8.tar.bz2
base-6d908a38e05b9d4135c65d23114a5874215b5bb8.tar.xz
base-6d908a38e05b9d4135c65d23114a5874215b5bb8.zip
Engagement initial.
Diffstat (limited to 'dcron/runjobs')
-rwxr-xr-xdcron/runjobs19
1 files changed, 19 insertions, 0 deletions
diff --git a/dcron/runjobs b/dcron/runjobs
new file mode 100755
index 0000000..b61789e
--- /dev/null
+++ b/dcron/runjobs
@@ -0,0 +1,19 @@
+#!/bin/bash
+#
+# /usr/sbin/runjobs: run all executables in specified directory
+#
+
+if [ "$1" = "" ]; then
+ echo "usage: $0 <dir>"
+ exit 1
+fi
+
+cd $1 || exit 1
+
+for file in ./*; do
+ if [ -f $file ] && [ -x $file ]; then
+ nice -n 19 $file
+ fi
+done
+
+# End of file